Bug 13166 - net ads keytab list fails with (smb_krb5_kt_open failed (Key table name malformed)
net ads keytab list fails with (smb_krb5_kt_open failed (Key table name malfo...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.7.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-24 07:31 UTC by Noel Power
Modified: 2017-12-06 09:28 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.7 (3.22 KB, patch)
2017-12-04 16:18 UTC, Andreas Schneider
slow: review+
asn: review? (nopower)
Details
patch for 4.6 (4.61 KB, patch)
2017-12-04 17:01 UTC, Noel Power
asn: review-
Details
patch for 4.6 (with cherry-pick :-)) (4.81 KB, patch)
2017-12-04 17:24 UTC, Noel Power
asn: review+
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2017-11-24 07:31:33 UTC
running 
'net -d1 ads key list'

yields

smb_krb5_kt_open failed (Key table name malformed)

This is a regression
Comment 1 Andreas Schneider 2017-12-04 16:18:14 UTC
Created attachment 13840 [details]
patch for 4.7
Comment 2 Ralph Böhme 2017-12-04 16:22:09 UTC
Reassigning to Karolin for inclusion in 4.7.
Comment 3 Noel Power 2017-12-04 17:01:41 UTC
Created attachment 13841 [details]
patch for 4.6

I think we need 4.6 too
Comment 4 Noel Power 2017-12-04 17:06:50 UTC
Comment on attachment 13840 [details]
patch for 4.7

fwiw I +1 the bug as per the review request (but I don't seem to be able to access the field to change the flags to match that, lack of permissions I guess)
Comment 5 Andreas Schneider 2017-12-04 17:11:09 UTC
Comment on attachment 13841 [details]
patch for 4.6

You need to cherry-pick with -x!
Comment 6 Andreas Schneider 2017-12-04 17:12:09 UTC
git cherry-pick -x <sha1 from master>
Comment 7 Ralph Böhme 2017-12-04 17:13:18 UTC
Comment on attachment 13841 [details]
patch for 4.6

Misses cherry-picked-from tag as well...?
Comment 8 Noel Power 2017-12-04 17:24:59 UTC
Created attachment 13842 [details]
patch for 4.6 (with cherry-pick :-))
Comment 9 Andreas Schneider 2017-12-05 06:43:56 UTC
Karolin, could you please add the patches to the relevant branches? Thanks!
Comment 10 Karolin Seeger 2017-12-05 09:29:54 UTC
(In reply to Andreas Schneider from comment #9)
Pushed to autobuild-v4-{7,6}-test.
Comment 11 Karolin Seeger 2017-12-06 09:28:28 UTC
Pushed to both branches.
Closing out bug report.

Thanks!